{ This file is a part of EPCL

  Copyright (C) 2009 Hinstance savyhinst@yandex.ru

  This source is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your option)
  any later version.

  This code is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  A copy of the GNU General Public License is available on the World Wide Web
  at <http://www.gnu.org/copyleft/gpl.html>. You can also obtain it by writing
  to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
  MA 02111-1307, USA.
}

unit exSomeLists;

{$mode objfpc}{$H+}

interface

uses
  Classes,
  exList, exStrings;

type

  { TIntegerList }

  TCustomIntegerList = specialize TGenericList<integer>;
    {List of integers}
  TIntegerList = class(TCustomIntegerList)
  protected
    function Construct: boolean; override;
  end;

  { TRealList }

  TCustomRealList = specialize TGenericList<real>;
    {List of reals}
  TRealList = class(TCustomRealList)
  protected
    function Construct: boolean; override;
  end;


operator := (const aList: TintegerList): string;
{$ifdef nodesign}
operator << (const aList: TIntegerList; const aInt: integer): TIntegerList;
{$endif}

operator := (const aList: TRealList): string;
{$ifdef nodesign}
operator << (const aList: TRealList; const aReal: real): TRealList;
{$endif}

implementation

{$i exIntList.inc}
{$i exRealList.inc}

end.
















