program somelist_sample;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Classes
  { you can add units after this },
  exStrings, exList, exSomeLists;

var
  ints: TIntegerList;
  reals: TRealList;

begin
  randomize;

  WriteLN(' *** Ints: *** ');
  ints:=TIntegerList.Create([-6, 10, 50, 90]); //create and initialize some values
  ints.Name:='Silly_ints'; //optional
  ints<<1<<2<<3;
  ints<<random(100); //don't like - don't use
  WriteLN('"' + string(ints) + '"');
  ints.Sort;
  Write( ints.AsText([tlNumbers, tlQuotes, tlBRs, tlHead]) );
  WriteLN('Item[9] as text: ', ints.Texts[9]);
  ints.Free;

  WriteLN(' *** Reals: *** ');
  reals:=TRealList.Create(nil, [1.1, -1.1, 900.001]);
  reals.AddNew(3);
  reals<<0.0001;
  WriteLN( string(reals) );
  reals.Sort;
  WriteLN(reals.asText( [tlHead, tlNumbers] ));

  WriteLN('Bye');
end.

