program strings_sample;

{$mode objfpc}{$H+}

uses
  Classes, SysUtils,
  exStrings;

type

  { TMyTextable }

  TMyTextable = class(TComponent, IStringConvable)
    constructor Create(const aOwner: TComponent;
      const ax, ay: integer); reintroduce;
  public
    x, y: integer;
    function getAsString: string;
  end;

{ TMyTextable }

constructor TMyTextable.Create(const aOwner: TComponent; const ax, ay: integer);
begin
  inherited Create(aOwner);
  x:=ax;
  y:=ay;
end;

function TMyTextable.getAsString: string;
begin
  result:=AsString( ['(', x, ', ', y, ')'] );
end;

var
  x: integer;
  y: real;
  c: TComponent;
  m: TMyTextable;

begin
  x:=10;
  y:=10.567;
  c:=TComponent.Create(nil);
  c.Name:='MyComponent';
  WriteLN( AsString(['x = ', x, '; y = ', y]) );
  WriteLN( AsString(['c = ', c]) );
  WriteLN( AsString(x + y*2) );
  FreeAndNil(c);
  WriteLN;


  m:=TMyTextable.Create(nil, -6, x);
  m.Name:='rbI';
  WriteLN(AsString(m, true) + ': ');
  WriteLN( AsString(['@m = ', pointer(m), '; @c = ', pointer(c)]) );
  WriteLN( AsString(['m = ', m, '; c = ', c]) );
  m.Free;

end.

