unit exPair;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils;

type

  { TPair }

  generic TPair<T1, T2> = class
    constructor Create(const aa: T1; const ab: T2);
  private
    f1: T1;
    f2: T2;
  public
    property Name: T1 read f1;
    property Value: T2 read f2 write f2;

    property a: T1 read f1;
    property b: T2 read f2;
  end;

implementation

{ TPair }

constructor TPair.Create(const aa: T1; const ab: T2);
begin
  f1:=aa;
  f2:=ab;
end;

end.

