
{ TRealList }

function RealCreateFunc: real;
begin
  result:=0;
end;

function RealCompareFunc(const ax, ay: real): integer;

  function sign(ax: real): integer;
  begin
    if ax = 0 then exit(0);
    case ax > 0 of
      true: result:=+1;
      false: result:=-1;
    end;
  end;

begin
  result:=sign(ax - ay);
end;

function RealAsTextFunc(const ax: real): string;
begin
  result:=asString(ax);
end;

function RealDestroyFunc(var ax: real): boolean;
begin
  ax:=0;
  result:=true;
end;

function TRealList.Construct: boolean;
begin
  result:=inherited Construct;
  SetMethods(@RealCreateFunc, @RealCompareFunc, @RealDestroyFunc);
  Textfunction:=@RealAsTextFunc;
end;

operator := (const aList: TRealList): string;
begin
  result:=asString(aList);
end;

{$ifdef nodesign}
operator << (const aList: TRealList; const aReal: real): TRealList;
begin
  result:=aList;
  result.Add(aReal);
end;

{$endif}


