program list_customsort;

{$mode objfpc}{$H+}

uses
  exStrings, exList, exVariantList;

type
  TMy = record
    a, b: integer;
  end;

  TMyList = specialize TGenericList<TMy>;

function CustomSort(const ax1, ax2: TMy; const args: TVariantList): integer;
begin
  if args['by'] = 'a' then result:=ax1.a - ax2.a;
  if args['by'] = 'b' then result:=ax1.b - ax2.b;
end;

function randomElement: TMy;
begin
  result.a:=random(100);
  result.b:=random(100);
end;

function asText(const aItem: TMy): string;
begin
  result:=asString( ['(', aItem.a, ', ', aItem.b, ')'] );
end;

var
  l: TMyList;

begin
  randomize;
  l:=TMyList.Create;
  l.name:='bI';
  l.CustomSorting:=@CustomSort;
  l.NewFunction:=@randomElement;
  l.TextFunction:=@asText;
  l.AddNew(8);

  l.Sort(['by', 'a']);
  WriteLN( l.AsText([tlHead, tlBRs, tlNumbers]) );

  l.Sort(['by', 'b']);
  WriteLN( l.AsText([tlHead, tlBRs, tlNumbers]) );

  WriteLN(' --- bye --- ');
end.

