program log_sample;

{$mode objfpc}{$H+}

uses
  Classes, SysUtils,
  exStrings, exLog;

var
  log: TStreamLog;

type

  { TSilly }

  TSilly = class(TComponent, IStringConvable)
    procedure Wlogx2(const ax: integer);
    function CoutIt(const s: string): boolean;
    function getAsString: string;
  end;

{ TSilly }

procedure TSilly.Wlogx2(const ax: integer);
begin
  log - self + ax * 2 + endl;
end;

function TSilly.CoutIt(const s: string): boolean;
begin
  Write(s);
  result:=true;
end;

function TSilly.getAsString: string;
begin
  result:='bI';
end;

var
  x: integer;
  r: real;
  m: TSilly;

begin
  //log:=TStreamLog.Create('log.text');
  log:=TStreamLog.CreateLocal;
  m:=TSilly.Create(nil);
  m.Name:='mySilly';
  log.onTexts.Add(@m.CoutIt);

  log + 'Log started at ' + logTime + ', ' + logDate + endl;
  log + 'File is "' + log.FileName + '"' + endl;
  x:=6;
  r:=22.1;
  log<<'Global variable x is '<< x <<endl;
  log<<'Gobal variable m is '<< m <<endl;
  log<<'test: ' + 1.6 + '; ' + r + '; ' + m + ' ' + true + endl;
  m.Wlogx2(x);

  FreeAndNil(m);

  WriteLN('Press enter to continue');
  readln;

  log.Free;
end.

